package binarytree.core;

public enum Direction {
	LEFT, AT, RIGHT;
	
	public static <T extends Comparable<T>> Direction which(T one, T two) {
		int comp = one.compareTo(two);
		return comp == 0 ? AT : (comp < 0 ? LEFT : RIGHT);
	}
}
